> ## Documentation Index
> Fetch the complete documentation index at: https://ubicloud.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cache entry details



## OpenAPI

````yaml /api-reference/openapi.yml get /project/{project_id}/github/{github_installation_reference}/repository/{github_repository_reference}/cache/{github_cache_entry_id}
openapi: 3.0.3
info:
  description: API for managing resources on Ubicloud
  title: Clover API
  version: 0.1.0
  contact:
    url: https://www.ubicloud.com/
    email: support@ubicloud.com
  license:
    name: GNU Affero General Public License v3.0 (AGPL-3.0)
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
servers:
  - url: https://api.ubicloud.com
security:
  - BearerAuth: []
tags:
  - description: Firewall Operations
    name: Firewall
  - description: Firewall Rule Operations
    name: Firewall Rule
  - description: Inference API Key Operations
    name: Inference Api Key
  - description: Inference Endpoint Operations
    name: Inference Endpoint
  - description: Load Balancer Operations
    name: Load Balancer
  - description: Login Operations
    name: Login
  - description: Machine Image Operations
    name: Machine Image
  - description: Postgres Database Operations
    name: Postgres Database
  - description: Postgres Firewall Rule Operations
    name: Postgres Firewall Rule
  - description: Postgres Metric Destination
    name: Postgres Metric Destination
  - description: Postgres Log Destination
    name: Postgres Log Destination
  - description: Private Subnet Operations
    name: Private Subnet
  - description: Project Operations
    name: Project
  - description: Virtual Machine Operations
    name: Virtual Machine
  - description: Private Location Operations
    name: Private Location
  - description: Kubernetes Cluster Operations
    name: Kubernetes Cluster
  - description: SSH Public Key Operations
    name: SSH Public Key
  - description: GitHub Operations
    name: GitHub
  - description: Audit Log Operations
    name: Audit Log
paths:
  /project/{project_id}/github/{github_installation_reference}/repository/{github_repository_reference}/cache/{github_cache_entry_id}:
    parameters:
      - $ref: '#/components/parameters/project_id'
      - $ref: '#/components/parameters/github_installation_reference'
      - $ref: '#/components/parameters/github_repository_reference'
      - $ref: '#/components/parameters/github_cache_entry_id'
    get:
      tags:
        - GitHub
      summary: Get cache entry details
      operationId: getGithubCacheEntry
      responses:
        '200':
          $ref: '#/components/responses/GithubCacheEntry'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    project_id:
      description: ID of the project
      in: path
      name: project_id
      required: true
      schema:
        type: string
        example: pjkkmx0f2vke4h36nk9cm8v8q0
        pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
    github_installation_reference:
      description: GitHub installation ID or name
      examples:
        id:
          value: gin30gjk1d1e2jj34v9x0dq4rp
        name:
          value: github-installation-name
      in: path
      name: github_installation_reference
      required: true
      schema:
        $ref: '#/components/schemas/Reference'
    github_repository_reference:
      description: GitHub repository ID or name
      examples:
        id:
          value: gpn30gjk1d1e2jj34v9x0dq4rp
        name:
          value: github-repository-name
      in: path
      name: github_repository_reference
      required: true
      schema:
        $ref: '#/components/schemas/Reference'
    github_cache_entry_id:
      description: GitHub cache entry ID
      examples:
        id:
          value: gen30gjk1d1e2jj34v9x0dq4rp
        name:
          value: github-repository-name
      in: path
      name: github_cache_entry_id
      required: true
      schema:
        $ref: '#/components/schemas/Reference'
  responses:
    GithubCacheEntry:
      description: A GitHub Cache Entry
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GithubCacheEntry'
    Error:
      description: An error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Reference:
      description: Resource ID or name
      type: string
      pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
    GithubCacheEntry:
      type: object
      properties:
        installation_name:
          description: >-
            name of the GitHub installation containing the repository containing
            the cache entry
          type: string
        repository_name:
          description: name of the GitHub repository containing the cache entry
          type: string
        id:
          description: ID of the GitHub cache entry
          type: string
          example: gefg7td83em22qfw9pq5xyfqb7
          pattern: ^ge[0-9a-hj-km-np-tv-z]{24}$
        key:
          description: GitHub cache entry key
          type: string
        scope:
          description: Branch scope of the GitHub cache entry
          type: string
        size:
          description: Size of the GitHub cache entry in bytes
          type: integer
        created_at:
          description: Timestamp of when the cache entry was created
          type: string
          format: date-time
        last_accessed_at:
          description: Timestamp of when the cache entry was last accessed
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
      required:
        - id
        - installation_name
        - repository_name
        - key
        - scope
        - size
        - created_at
        - last_accessed_at
    Error:
      type: object
      properties:
        error:
          type: object
          additionalProperties: false
          properties:
            code:
              type: integer
              example: 401
            message:
              type: string
              example: There was an error logging in
            type:
              type: string
              example: InvalidCredentials
            details:
              type: object
              nullable: true
          required:
            - code
            - message
            - type
      additionalProperties: false
      required:
        - error
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````